Bug 227261 - mail/postgrey: conflict of PG_USER variable with PostgreSQL
Summary: mail/postgrey: conflict of PG_USER variable with PostgreSQL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-03 16:20 UTC by Piotr Kubaj
Modified: 2018-04-17 04:40 UTC (History)
2 users (show)

See Also:
ports.maintainer: maintainer-feedback+


Attachments
make.conf variables change per suggestion (3.57 KB, patch)
2018-04-03 20:01 UTC, Mel Pilgrim
ports.maintainer: maintainer-approval+
Details | Diff
poudriere testport log (20.98 KB, text/plain)
2018-04-03 20:01 UTC, Mel Pilgrim
no flags Details
patch to update variables in the rc script (1.41 KB, patch)
2018-04-16 23:08 UTC, Mel Pilgrim
ports.maintainer: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-04-03 16:20:45 UTC
Postgrey uses the same variables for changing default user as PostgreSQL. Could that be changed, to e.g. POSTGREY_USER?

For now, if you change the default in make.conf and compile both ports, you may be surprised that PostgreSQL doesn't use postgres user by default.
Comment 1 Mel Pilgrim 2018-04-03 20:01:01 UTC
Created attachment 192182 [details]
make.conf variables change per suggestion
Comment 2 Mel Pilgrim 2018-04-03 20:01:29 UTC
Created attachment 192183 [details]
poudriere testport log
Comment 3 Mel Pilgrim 2018-04-04 08:34:40 UTC
Thanks for catching this! Fixed.

Committer: the patch includes an addition to UPDATING since there is potential end-user steps needed with this change.
Comment 4 Kurt Jaeger freebsd_committer 2018-04-16 17:18:08 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2018-04-16 17:18:35 UTC
A commit references this bug:

Author: pi
Date: Mon Apr 16 17:18:01 UTC 2018
New revision: 467493
URL: https://svnweb.freebsd.org/changeset/ports/467493

Log:
  mail/postgrey: fix conflict of PG_USER variable with PostgreSQL

  Please note:

  20180416:
    AFFECTS: users of mail/postgrey
    AUTHOR: ports.maintainer@evilphi.com

    If you use any of the optional make.conf variables to specify the
    postgrey user, group, db dir, or run dir when building the port, you will
    need to change the prefix from PG_ to POSTGREY_*.  The variables were
    renamed to solve a namespace collision with the PostgreSQL ports.

  PR:		227261
  Submitted by:	Melissa Pilgrim <ports.maintainer@evilphi.com> (maintainer)
  Reported by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/UPDATING
  head/mail/postgrey/Makefile
  head/mail/postgrey/pkg-plist
Comment 6 Mel Pilgrim 2018-04-16 23:08:27 UTC
Created attachment 192574 [details]
patch to update variables in the rc script

The original patch omitted necessary changes in files/postgrey.in, so catch that file up as well.
Comment 7 commit-hook freebsd_committer 2018-04-17 04:40:10 UTC
A commit references this bug:

Author: pi
Date: Tue Apr 17 04:40:07 UTC 2018
New revision: 467559
URL: https://svnweb.freebsd.org/changeset/ports/467559

Log:
  mail/postgrey: fix files/postgrey.in for PG_* -> POSTGREY_* variables

  PR:		227261
  Submitted by:	Melissa Pilgrim <ports.maintainer@evilphi.com> (maintainer)
  Reported by:	Pierre Guinoiseau <pierre@guinoiseau.eu>, Paul Blazejowski <paulb@blazebox.homeip.net>

Changes:
  head/mail/postgrey/Makefile
  head/mail/postgrey/files/postgrey.in